Solved

K2 v5.2 to v5.3 upgrade - fail


Badge +13

Anyone done a K2 5.2 to v5.3 upgrade?

Getting a failure (no surprise there)

 

K2 Core - Installation Health: Target did not complete successfully: App Wizard.kspx

Component update failed

 

Why can't any K2 upgrade/update ever go smoothly???

icon

Best answer by Mustafa 26 June 2019, 16:29

Here is the problem, you cannot cancel checkout or check in because those items they are flagged as system in Form.View_design table in the K2 DB which make them invisible in the designer or locked down from being edited (depends on the flag). 


 


I thought the issue is related to one view but it seems you have multiple. I highly recommend to contact K2 support to enable the views for you in order to check them in or cancel check out because Database modification is not supported.


 


If you prefer to do this on your own, make sure to take a backup of the DB then locate the view in the table mentioned above  and change the Flags value to 128 


Go to the desginer and search for the items


Cancel checkout or check in 


Revert the flag value 


once all views have been checked in, rerun the installer.


 


HTH


 


 

View original

15 replies

Hi,

 

Haven't done the upgrade yet, but it is something that is planned in the near future.

 

I am keen to find out how this issue gets resolved. Once you find out, if you could update this post that would be great.

 

 

Conrad

Hello  @Sharpharp1

 

Here are few tips to alwys have a smooth K2 upgrade:

 

1) Ensure that Configuration Analysis for installed K2 version do not have any warnnigs before you start upgrade
2) Be sure that machine has been restarted/has no pending reboot to apply updates or any other pending changes requiring reboot before you start upgrade
3) Make sure that account which you use to install/upgrade has all the rights specified in product documentation : https://help.k2.com/onlinehelp/k2five/icg/current/default.htm#Plan/Required-Permissions.htm

 

I did an upgrade from 5.2 to 5.3 without running into errors, hopefully this tips will help you or anyone doing an upgrade.

 

Should you find the above information useful kindly mark as "Accepted Solution and/or Kudo", as this will assist other community members looking for related information.

 

Regards,
Beswick

 

[K2 will not accept any liability for any issues arising from actions taken in respect of the information provided by any forum member]

Hi;

 

Please log a support ticket, so we could solve it accordingly.

 

Regards;

Widson.

Hi Sharpharp1

 

The reason why you are getting an error is because k2 5.3 need .net core and k2 5.2 comes with .net versions below .net core. Please install .net core and configure k2 server again if the error still appearing disable or uninstall old version of .Net and configure again

 

Should you find the information from the article useful or leading you to the answer please mark as "Solution and/or Kudo", as it will assist other k2 developers with relevant information in the near future.

 

Best Regards

Elvis

 

[K2 will not accept any liability for any issues arising from actions taken in respect of the information provided by any forum member]

Badge +13

Elvis,

 

Shouldn't the Upgrading installer check for .net core version before it goes ahead and attempts the upgrade? Once you get the error, there is no indication to the customer that .net core is the issue?

 

Surely from a support point of view and customer perspective, the installer should check for components, not just install them and give these obscure messages?

Hello  @Sharpharp1

 

Yes the Upgrading installer check for .net core version before it goes ahead with the upgrade. 

 

 

However, for the "target did not complete successfuly: App wizard.kspx" can be resolved by deleting the assembly in C:Program File(x86)K2 Host ServerBin. Afterwhich re-run the K2 configuration analysis and there should be no more errors. 

 

Follow this link for more information even if this focused more on Management.kspx for K2 blackpearl: 

 https://community.k2.com/t5/K2-blackpearl-Articles/Error-during-upgrade-to-4-7-quot-Target-did-not-complete/ta-p/96297

 

Regards,

BesM

 

Badge +8

Dear Sharpharp1,


I believe you did log a support ticket for this issue, and if I understand correctly, the solution involved populating some blank Environment Fields in the Management site. 


It seems that the AppWizard.kspx package failed to deploy because it could not find a valid SmartForms Runtime field. 


Was this the case? It looks like it is documented here: http://help.k2.com/kb002560.


I want to make sure we all know what solved your issue (and that it was, in fact, resolved).


Thanks, and regards,


Gail

Hi Sharpharp1,

 

I also got the same upgrade error. This is what I  found in the InstallerTrace file:

 

14:14:03:>> Component.ExecuteTarget: Logged Error: Target did not complete successfully: App Framework Core.kspx

 

Looking a couple of lines before this entry I see the following:

 

14:14:01:>> DeployPackage.DataRecieved: Error: System.Exception: Checked out by User 'K2:???????????''. Cancel check out or perform check in
14:14:01:>> DeployPackage.DataRecieved: at SourceCode.Runtime.Services.Forms.FormsSessionData.DeployView(View view, Boolean checkIn, Boolean skipReferenceValidation)
14:14:01:>> DeployPackage.DataRecieved: at SourceCode.Runtime.Services.Forms.Services.BaseFormViewService`3.DeployAuthoringInstance(AuthoringType instance)
14:14:01:>> DeployPackage.DataRecieved: at SourceCode.Runtime.Services.Forms.Services.BaseFormViewService`3.Deploy(IDeploymentContext context)

 

It seems there were some items not checked in causing the error.

 

Does this mean I have to roll back?

Userlevel 6
Badge +10

Hi  @bennier,


 


There is no need to roll back, the items that are checked out are flagged as system, so they don't appear in the designer.


The only way to check out those items is to edit any of the pre-built app forms that makes a use of App framework items then edit a view directly from the forms which allows the users to edit system items (bug).


 


We need to figure out which item is checked out to update the flag in the database to make the checked out views/forms visible to you so you can check them in and reconfigure your K2 server which will deploy the App Framework Core.kspx successfully.


 


To see the checked out items, try to deploy this package App Framework Core.kspx in the P&D tool and let me know which item is showing warning/error

How can I locate the App Framework Core.kspx? I searched through the extracted installation files but cannot find it...

Userlevel 6
Badge +10

Then you can use the one in your K2 directory i.e. Program Files (x86)K2 blackpearlSetup


The aim is not to deploy the package, just to view the items and see which one is checked out

Great! Located the pacakge, got it running and could see the culprits that is causing the error.

It is a SmartStarter app we installed and somehow some views were not checked in. See the screenshot attached.

 

Should I bother to fix these? Can i just cancel these checkouts? Do I need to run the setup again?

 


Userlevel 6
Badge +10

Here is the problem, you cannot cancel checkout or check in because those items they are flagged as system in Form.View_design table in the K2 DB which make them invisible in the designer or locked down from being edited (depends on the flag). 


 


I thought the issue is related to one view but it seems you have multiple. I highly recommend to contact K2 support to enable the views for you in order to check them in or cancel check out because Database modification is not supported.


 


If you prefer to do this on your own, make sure to take a backup of the DB then locate the view in the table mentioned above  and change the Flags value to 128 


Go to the desginer and search for the items


Cancel checkout or check in 


Revert the flag value 


once all views have been checked in, rerun the installer.


 


HTH


 


 

Thanks Mustafa,

 

I was able to change the flag and cancel the checkout on these 5 views. I ran the package deployment for the App Framework Core package and only deployed these 5 views.

Userlevel 6
Badge +10

Glad to know this :)

Reply